Package fr.gouv.vitam.common.client

# Class ClientMockResultHelper

java.lang.Object
fr.gouv.vitam.common.client.ClientMockResultHelper

public class ClientMockResultHelper extends Object
Results for client mock

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final AccessContractModel`
  `ACCESS_CONTRACT_NO_DOWNLOAD`
  `static final List<AccessContractModel>`
  `ACCESS_CONTRACTS`
  `static final String`
  `ARCHIVE_UNIT_PROFILES`
  `static final String`
  `CONTEXTS`
  `static final AccessContractModel`
  `DEFAULT_ACCESS_CONTRACT`
  `static final String`
  `GOT_RAW`
  `static final String`
  `INGEST_CONTRACTS`
  `static final String`
  `MANAGEMENT_CONTRACTS`
  `static final List<OntologyModel>`
  `ONTOLOGIES`
  `static final String`
  `PROFILES`
  `static final String`
  `SECURITY_PROFILES`
  `static final String`
  `UNIT_RAW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RequestResponse`
  `checkOperationTraceability()`
  `static RequestResponse`
  `createEmptyReponse()`
  `static RequestResponse`
  `createResponse(String s)`
  `static RequestResponse`
  `createResponse(String s, int statuscode, Class clazz)`
  `static <T> RequestResponse<T>`
  `createResponse(String s, Class<T> clasz)`
  `static <T> RequestResponse<T>`
  `createResponse(List<T> entries)`
  `static <T> RequestResponse<T>`
  `createResponse(T response)`
  `static RequestResponse`
  `createVitamError()`
  `static RequestResponse`
  `getAccessContractOrDefault(String identifier)`
  `static RequestResponse`
  `getAccessionRegisterDetail()`
  `static RequestResponse`
  `getAccessionRegisterSummary()`
  `static RequestResponse`
  `getAgenciesList()`
  `static RequestResponse`
  `getAgency()`
  `static RequestResponse`
  `getArchiveUnitProfiles(int statusCode)`
  method to get mocked archive unit profiles with the givel status code
  `static RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `getArchiveUnitRawResult()`
  `static RequestResponse`
  `getArchiveUnitResult()`
  `static RequestResponse`
  `getContexts(int statusCode)`
  `static RequestResponse`
  `getDipInfo()`
  `static RequestResponse`
  `getEmptyResult()`
  `static RequestResponse`
  `getFormat()`
  `static RequestResponse`
  `getFormatList()`
  `static RequestResponse<IngestContractModel>`
  `getIngestContracts()`
  `static ItemStatus`
  `getItemStatus(String id)`
  `static com.fasterxml.jackson.databind.JsonNode`
  `getLogbookLifecycle()`
  `static com.fasterxml.jackson.databind.JsonNode`
  `getLogbookOperation()`
  `static com.fasterxml.jackson.databind.JsonNode`
  `getLogbookOperationWithObId()`
  `static RequestResponse`
  `getLogbookRequestResponse()`
  `static RequestResponse`
  `getLogbookRequestResponseWithObId()`
  `static com.fasterxml.jackson.databind.JsonNode`
  `getLogbookResults()`
  `static RequestResponse`
  `getLogbooksRequestResponse()`
  `static RequestResponse`
  `getManagementContracts()`
  `static RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `getMetaDataResult()`
  `static RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `getObjectGroupRawResult()`
  `static jakarta.ws.rs.core.Response`
  `getObjectStream()`
  `static RequestResponse`
  `getOntologies(int statusCode)`
  method to get mocked ontologies with the given status code
  `static RequestResponse`
  `getOperationTraceabilityDetails()`
  `static RequestResponse`
  `getProfiles(int statusCode)`
  `static RequestResponse`
  `getRule()`
  `static RequestResponse`
  `getRuleList()`
  `static RequestResponse`
  `getRuleList(String ruleId)`
  `static RequestResponse`
  `getSecurityProfiles()`
  `static RequestResponse`
  `getTraceabilityOperationMock()`
  `static void`
  `resetOntologies()`
  `static void`
  `setOntologies(List<OntologyModel> ontologies)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNIT_RAW

    public static final String UNIT_RAW
    See Also:
      - Constant Field Values

  - ### GOT_RAW

    public static final String GOT_RAW
    See Also:
      - Constant Field Values

  - ### INGEST_CONTRACTS

    public static final String INGEST_CONTRACTS
    See Also:
      - Constant Field Values

  - ### DEFAULT_ACCESS_CONTRACT

    public static final AccessContractModel DEFAULT_ACCESS_CONTRACT

  - ### ACCESS_CONTRACT_NO_DOWNLOAD

    public static final AccessContractModel ACCESS_CONTRACT_NO_DOWNLOAD

  - ### ACCESS_CONTRACTS

    public static final List<AccessContractModel> ACCESS_CONTRACTS

  - ### MANAGEMENT_CONTRACTS

    public static final String MANAGEMENT_CONTRACTS
    See Also:
      - Constant Field Values

  - ### PROFILES

    public static final String PROFILES
    See Also:
      - Constant Field Values

  - ### ARCHIVE_UNIT_PROFILES

    public static final String ARCHIVE_UNIT_PROFILES
    See Also:
      - Constant Field Values

  - ### CONTEXTS

    public static final String CONTEXTS
    See Also:
      - Constant Field Values

  - ### SECURITY_PROFILES

    public static final String SECURITY_PROFILES
    See Also:
      - Constant Field Values

  - ### ONTOLOGIES

    public static final List<OntologyModel> ONTOLOGIES

- ## Method Details

  - ### getLogbookResults

    public static com.fasterxml.jackson.databind.JsonNode getLogbookResults() throws InvalidParseOperationException
    Returns:
      a default Logbook Result
    Throws:
      `InvalidParseOperationException`

  - ### getLogbooksRequestResponse

    public static RequestResponse getLogbooksRequestResponse() throws InvalidParseOperationException
    Returns:
      a default Logbook response Result
    Throws:
      `InvalidParseOperationException`

  - ### getLogbookRequestResponse

    public static RequestResponse getLogbookRequestResponse() throws InvalidParseOperationException
    Returns:
      one default Logbook response
    Throws:
      `InvalidParseOperationException`

  - ### getLogbookRequestResponseWithObId

    public static RequestResponse getLogbookRequestResponseWithObId() throws InvalidParseOperationException
    Returns:
      one default Logbook response
    Throws:
      `InvalidParseOperationException`

  - ### getLogbookOperation

    public static com.fasterxml.jackson.databind.JsonNode getLogbookOperation() throws InvalidParseOperationException
    Returns:
      a default Logbook Operation
    Throws:
      `InvalidParseOperationException`

  - ### getLogbookLifecycle

    public static com.fasterxml.jackson.databind.JsonNode getLogbookLifecycle() throws InvalidParseOperationException
    Returns:
      a default Logbook Operation
    Throws:
      `InvalidParseOperationException`

  - ### getMetaDataResult

    public static RequestResponse<com.fasterxml.jackson.databind.JsonNode> getMetaDataResult() throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### getArchiveUnitRawResult

    public static RequestResponse<com.fasterxml.jackson.databind.JsonNode> getArchiveUnitRawResult() throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### getObjectGroupRawResult

    public static RequestResponse<com.fasterxml.jackson.databind.JsonNode> getObjectGroupRawResult() throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### getLogbookOperationWithObId

    public static com.fasterxml.jackson.databind.JsonNode getLogbookOperationWithObId() throws InvalidParseOperationException
    Returns:
      a default Logbook Operation
    Throws:
      `InvalidParseOperationException`

  - ### createResponse

    public static <T> RequestResponse<T> createResponse(T response)
    Parameters:
      `response` - the original object to be included in response
    Returns:
      a default response

  - ### createEmptyReponse

    public static RequestResponse createEmptyReponse()

  - ### createVitamError

    public static RequestResponse createVitamError()

  - ### createResponse

    public static RequestResponse createResponse(String s) throws InvalidParseOperationException
    Parameters:
      `s` - the original object to be included in response
    Returns:
      a default response
    Throws:
      `InvalidParseOperationException`

  - ### createResponse

    public static <T> RequestResponse<T> createResponse(String s, Class<T> clasz) throws InvalidParseOperationException
    Type Parameters:
      `T` -
    Parameters:
      `s` - the original object to be included in response
    Returns:
      a default response
    Throws:
      `InvalidParseOperationException`

  - ### createResponse

    public static <T> RequestResponse<T> createResponse(List<T> entries) throws InvalidParseOperationException
    Type Parameters:
      `T` -
    Parameters:
      `entries` - the original object to be included in response
    Returns:
      a default response
    Throws:
      `InvalidParseOperationException`

  - ### createResponse

    public static RequestResponse createResponse(String s, int statuscode, Class clazz) throws InvalidParseOperationException
    Parameters:
      `s` - the original object to be included in response
      `statuscode` - status to be returned
    Returns:
      a default response
    Throws:
      `InvalidParseOperationException`

  - ### getAccessionRegisterSummary

    public static RequestResponse getAccessionRegisterSummary() throws InvalidParseOperationException
    Returns:
      a default Access Register Summary
    Throws:
      `InvalidParseOperationException`

  - ### getAccessionRegisterDetail

    public static RequestResponse getAccessionRegisterDetail() throws InvalidParseOperationException
    Returns:
      a default Access Register Detail
    Throws:
      `InvalidParseOperationException`

  - ### getFormat

    public static RequestResponse getFormat() throws InvalidParseOperationException
    Returns:
      a default Format
    Throws:
      `InvalidParseOperationException`

  - ### getRule

    public static RequestResponse getRule() throws InvalidParseOperationException
    Returns:
      a default Rule
    Throws:
      `InvalidParseOperationException`

  - ### getAgency

    public static RequestResponse getAgency() throws InvalidParseOperationException
    Returns:
      a default agency
    Throws:
      `InvalidParseOperationException`

  - ### getIngestContracts

    public static RequestResponse<IngestContractModel> getIngestContracts() throws InvalidParseOperationException
    Returns:
      a RequestResponse containing contracts json
    Throws:
      `InvalidParseOperationException`

  - ### getAccessContractOrDefault

    public static RequestResponse getAccessContractOrDefault(String identifier) throws InvalidParseOperationException
    Returns:
      a RequestResponse containing access contracts json
    Throws:
      `InvalidParseOperationException`

  - ### getManagementContracts

    public static RequestResponse getManagementContracts() throws InvalidParseOperationException
    Returns:
      a RequestResponse containing management contracts json
    Throws:
      `InvalidParseOperationException`

  - ### getContexts

    public static RequestResponse getContexts(int statusCode) throws InvalidParseOperationException
    Returns:
      context json
    Throws:
      `InvalidParseOperationException`

  - ### getProfiles

    public static RequestResponse getProfiles(int statusCode) throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### getFormatList

    public static RequestResponse getFormatList() throws InvalidParseOperationException
    Returns:
      a default list of Formats
    Throws:
      `InvalidParseOperationException`

  - ### getAgenciesList

    public static RequestResponse getAgenciesList() throws InvalidParseOperationException
    Returns:
      a default list of Formats
    Throws:
      `InvalidParseOperationException`

  - ### getRuleList

    public static RequestResponse getRuleList(String ruleId) throws InvalidParseOperationException
    Returns:
      a default list of Rules
    Throws:
      `InvalidParseOperationException`

  - ### getRuleList

    public static RequestResponse getRuleList() throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### getEmptyResult

    public static RequestResponse getEmptyResult() throws InvalidParseOperationException
    Returns:
      a default list of Rules
    Throws:
      `InvalidParseOperationException`

  - ### getArchiveUnitResult

    public static RequestResponse getArchiveUnitResult() throws InvalidParseOperationException
    Returns:
      a default ArchiveUnit result
    Throws:
      `InvalidParseOperationException`

  - ### getObjectStream

    public static jakarta.ws.rs.core.Response getObjectStream()
    Returns:
      a default ArchiveUnit result
    Throws:
      `InvalidParseOperationException`

  - ### getItemStatus

    public static ItemStatus getItemStatus(String id) throws InvalidParseOperationException
    Parameters:
      `id` -
    Returns:
      a default ArchiveUnit result
    Throws:
      `InvalidParseOperationException`

  - ### getOperationTraceabilityDetails

    public static RequestResponse getOperationTraceabilityDetails() throws InvalidParseOperationException
    Returns:
      a default operation traceability
    Throws:
      `InvalidParseOperationException`

  - ### checkOperationTraceability

    public static RequestResponse checkOperationTraceability() throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### getTraceabilityOperationMock

    public static RequestResponse getTraceabilityOperationMock() throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### getSecurityProfiles

    public static RequestResponse getSecurityProfiles() throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### getDipInfo

    public static RequestResponse getDipInfo() throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### getArchiveUnitProfiles

    public static RequestResponse getArchiveUnitProfiles(int statusCode) throws InvalidParseOperationException
    method to get mocked archive unit profiles with the givel status code
    Parameters:
      `statusCode` -
    Returns:
      a mock of response for ArchiveUnitProfiles
    Throws:
      `InvalidParseOperationException`

  - ### getOntologies

    public static RequestResponse getOntologies(int statusCode) throws InvalidParseOperationException
    method to get mocked ontologies with the given status code
    Parameters:
      `statusCode` -
    Returns:
      a mock of response for Ontologies
    Throws:
      `InvalidParseOperationException`

  - ### setOntologies

    public static void setOntologies(List<OntologyModel> ontologies)

  - ### resetOntologies

    public static void resetOntologies()